# Uses of Interface
java.sql.Driver

Packages that use Driver
Package
Description
java.sql
Provides the API for accessing and processing data stored in a data source (usually a relational database) using the Java programming language.

## Uses of Driver in java.sql

Methods in java.sql that return Driver
Modifier and Type
Method
Description
`static Driver`
DriverManager.`getDriver(String url)`
Attempts to locate a driver that understands the given URL.
Methods in java.sql that return types with arguments of type Driver
Modifier and Type
Method
Description
`static Stream<Driver>`
DriverManager.`drivers()`
Retrieves a Stream with all of the currently loaded JDBC drivers to which the current caller has access.
`static Enumeration<Driver>`
DriverManager.`getDrivers()`
Retrieves an Enumeration with all of the currently loaded JDBC drivers to which the current caller has access.
Methods in java.sql with parameters of type Driver
Modifier and Type
Method
Description
`static void`
DriverManager.`deregisterDriver(Driver driver)`
Removes the specified driver from the `DriverManager`'s list of registered drivers.
`static void`
DriverManager.`registerDriver(Driver driver)`
Registers the given driver with the `DriverManager`.
`static void`
DriverManager.`registerDriver(Driver driver, DriverAction da)`
Registers the given driver with the `DriverManager`.